Status: Under Review Priority: Should have
Author: Chris topher Category:
Updated: 2015-07-24 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: FLUIDTEMPLATE: New fallback paths miss stdWrap
Description

Although documented inside the code and also on docs.typo3.org, the new properties layoutRootPaths and partialRootPaths both
currently still miss stdWrap.

Add it!

(Nitpick: Also fix the comment in around line 39 to say "partialRootPaths array of filepaths+stdWrap Root paths to partials")

Related issues:
related to Core - Bug # 68416: Recently merged fix for FLUIDTEMPLATE: New fal... New 2015-07-21
follows Core - Bug # 61361: Fluid template path fallback doesn't work in Typo... Resolved 2014-09-05

Associated revisions
Revision 3e4dbc39 - 2015-01-06 12:50 - Frederic Gaus

[BUGFIX] Fix phpDoc of FluidTemplateContentObject::render

Change-Id: Ia91bac1ac2f26c500ce1fdc0d2eedece9ab30876
Resolves: #63380
Releases: master, 6.2
Reviewed-on: http://review.typo3.org/35809
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 76fe2491 - 2015-01-06 12:50 - Frederic Gaus

[BUGFIX] Fix phpDoc of FluidTemplateContentObject::render

Change-Id: Ia91bac1ac2f26c500ce1fdc0d2eedece9ab30876
Resolves: #63380
Releases: master, 6.2
Reviewed-on: http://review.typo3.org/35816
Reviewed-by: Markus Klein <klein.t3@reelworx.at>
Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision f16a00ed - 2015-07-18 16:21 - Anja Leichsenring
[BUGFIX] Add stdWrap support for Partial- and layoutRootPaths

The single occurrences layoutRootPath and partialRootPath have
stdWrap support, but not the collection entries of
layoutRootPaths and partialRootPaths. This is added now.

Change-Id: I59d4967ce67b48b53e9bf1052d703c974f1472ca
Resolves: #63380
Releases: master, 6.2
Reviewed-on: http://review.typo3.org/41584
Reviewed-by: Oliver Eglseder <oliver.eglseder@in2code.de>
Tested-by: Oliver Eglseder <oliver.eglseder@in2code.de>
Reviewed-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>
Tested-by: Stefan Neufeind <typo3.neufeind@speedpartner.de>

History
#1 - 2014-11-29 17:47 - Chris topher
- Description updated

#2 - 2015-01-06 07:59 - Frederic Gaus

This is not true for the current master. For layoutRootPath the stdWrap is applied in line 132 and for partialRootPath the stdWrap is applied in line 156.
So only the phpDoc has to be fixed.

#3 - 2015-01-06 08:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35809

#4 - 2015-01-06 08:11 - Frederic Gaus

See https://forge.typo3.org/issues/64138

#5 - 2015-01-06 08:21 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35809

#6 - 2015-01-06 12:51 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/35816

#7 - 2015-01-06 19:59 - Wouter Wolters
- Status changed from Under Review to Resolved
#8 - 2015-01-07 17:27 - Chris topher
- Status changed from Resolved to New

Frederic Gaus wrote:

For layoutRootPath the stdWrap is applied in line 132 and for partialRootPath the stdWrap is applied in line 156. So only the phpDoc has to be
fixed.

Thanks for pushing the patch, guys! However, please double check the exact property names! You are speaking about the properties without plural
-s. What I mean are different properties - I mean layoutRootPaths and partialRootPaths - those with plural -s at the end.

These two properties still miss stdWrap!

#9 - 2015-07-17 19:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584

#10 - 2015-07-17 19:09 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584

#11 - 2015-07-17 19:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584

#12 - 2015-07-17 19:26 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584

#13 - 2015-07-17 19:36 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584

#14 - 2015-07-18 01:26 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584
#15 - 2015-07-18 12:19 - Markus Sommer
- Assigned To set to Anja Leichsenring

#16 - 2015-07-18 14:32 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584

#17 - 2015-07-18 14:46 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41584

#18 - 2015-07-18 16:30 - Anja Leichsenring
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f16a00ed4fbf10f43582c8894edb4decfe152766.

#19 - 2015-07-18 16:41 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41679

#20 - 2015-07-19 12:56 - Loek Hilgersom

Current solution as implemented and merged in http://review.typo3.org/41584 doesn't work correctly.

cObj->stdWrap calls should be replaced by cObj->cObjGetSingle

#21 - 2015-07-22 17:29 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41820

#22 - 2015-07-24 17:02 - Gerrit Code Review

Patch set 2 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41679

#23 - 2015-07-24 17:08 - Gerrit Code Review

Patch set 3 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41679

#24 - 2015-07-24 17:21 - Gerrit Code Review

Patch set 4 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/41679
